Bug 996056 - Exception is thrown, when IsA operator is used and KieContainer.newKieSession() after KieContainer.getKieBase() is called
Exception is thrown, when IsA operator is used and KieContainer.newKieSession...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.0.0
Assigned To: Mario Fusco
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 06:41 EDT by Tomas David
Modified: 2014-08-06 16:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas David 2013-08-12 06:41:36 EDT
Description of problem:
InvalidClassException is thrown, when IsA operator is used in drl file and KieContainer.newKieSession() after KieContainer.getKieBase() is called. 

Version-Release number of selected component (if applicable):
Drools 6.0.0-SNAPSHOT
Drools 6.0.0.CR1

How reproducible:
Pull request #234 submited in Drools.

Steps to Reproduce:
1. Make a drl file with one rule, which uses isA operator.
2. Write a simple test. KieContainer.newKieSession() must be called after KieContainer.getKieBase() in this test.
3. Run test.

Actual results:
InvalidClassException is thrown.

Expected results:
Test should pass.

Additional info:
Comment 2 Mario Fusco 2013-08-22 11:19:10 EDT
Fixed by https://github.com/droolsjbpm/drools/commit/cdbc45f88
Comment 6 Tomas David 2013-10-14 03:14:22 EDT
Verified on BRMS 6.0.0.ER4.

Note You need to log in before you can comment on or make changes to this bug.